# _PTPParams Struct Reference

## Data Fields
uint32_t | device_flags
uint8_t | byteorder
uint16_t | maxpacketsize
PTPIOSendReq | sendreq_func
PTPIOSendData | senddata_func
PTPIOGetResp | getresp_func
PTPIOGetData | getdata_func
PTPIOGetResp | event_check
PTPIOGetResp | event_wait
PTPIOCancelReq | cancelreq_func
PTPErrorFunc | error_func
PTPDebugFunc | debug_func
void * | data
uint32_t | transaction_id
uint32_t | session_id
int | split_header_data
PTPObject * | objects
int | nrofobjects
PTPDeviceInfo | deviceinfo
PTPContainer * | events
int | nrofevents
PTPCanon_Property * | canon_props
int | nrofcanon_props
int | canon_viewfinder_on
PTPCanon_changes_entry * | backlogentries
int | nrofbacklogentries
int | eos_captureenabled
uint8_t | wifi_profiles_version
uint8_t | wifi_profiles_number
PTPNIKONWifiProfile * | wifi_profiles
int | cmdfd
int | evtfd
uint8_t | cameraguid [16]
uint32_t | eventpipeid
char * | cameraname
uint8_t * | response_packet
uint16_t | response_packet_size

The documentation for this struct was generated from the following file:

- /tmp/libmtp-1.0.1/src/ptp.h